﻿Imports Thought.vCards

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        'Read the vCard file into a vCard object.
        Dim card As New vCard(Server.MapPath("~/vCards/Mudassar Khan.vcf"))

        'Read Name.
        lblName.Text = card.FormattedName

        'Read Organization.
        lblOrganization.Text = card.Organization

        'Read Title.
        lblTitle.Text = card.Title

        'Read Cell Phone Number.
        If card.Phones.GetFirstChoice(vCardPhoneTypes.Cellular) IsNot Nothing Then
            lblMobileNumber.Text = card.Phones.GetFirstChoice(vCardPhoneTypes.Cellular).FullNumber
        End If

        'Read Home Number.
        If card.Phones.GetFirstChoice(vCardPhoneTypes.Home) IsNot Nothing Then
            lblHomeNumber.Text = card.Phones.GetFirstChoice(vCardPhoneTypes.Home).FullNumber
        End If

        'Read Work Number.
        If card.Phones.GetFirstChoice(vCardPhoneTypes.Work) IsNot Nothing Then
            lblWorkNumber.Text = card.Phones.GetFirstChoice(vCardPhoneTypes.Work).FullNumber
        End If

        'Read Email Address.
        If card.EmailAddresses.GetFirstChoice(vCardEmailAddressType.Internet) IsNot Nothing Then
            lblEmailAddress.Text = card.EmailAddresses.GetFirstChoice(vCardEmailAddressType.Internet).Address
        End If

        'Read Website URL.
        If card.Websites.GetFirstChoice(vCardWebsiteTypes.Personal) IsNot Nothing Then
            lblWebsite.Text = card.Websites.GetFirstChoice(vCardWebsiteTypes.Personal).Url
        End If

        'Read Photo.
        If card.Photos.Count > 0 Then
            imgPhoto.ImageUrl = "data:image/png;base64," + Convert.ToBase64String(card.Photos(0).GetBytes())
        End If
    End Sub
End Class
